package com.liquidnet.service.kylin.dto.vo.ticketSystem;

import com.liquidnet.service.kylin.dto.param.ticketSystem.STInsertFieldParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class RefundOrderVo implements Serializable,Cloneable {
    private static final long serialVersionUID = 4073256621782131607L;
    @ApiModelProperty(value = "票单id [必传]")
    private String ticketOrderId;
    @ApiModelProperty(value = "场次编码 [有座必传]")
    private String sessionCode;
    @ApiModelProperty(value = "票ID [有座必传]")
    private String ticketId;
    @ApiModelProperty(value = "退票金额[必传 单位分]")
    private String refundAmount;

    private static final RefundOrderVo obj = new RefundOrderVo();

    public static RefundOrderVo getNew() {
        try {
            return (RefundOrderVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new RefundOrderVo();
    }
}
